List scheduled runs
curl --request GET \
--url https://api.coval.dev/v1/scheduled-runs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/scheduled-runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/scheduled-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduled_runs": [
{
"name": "scheduled-runs/xyz789uvw456rst123abcd",
"id": "xyz789uvw456rst123abcd",
"display_name": "Voice Agent Health Check",
"run_template_id": "abc123def456ghi789jklm",
"schedule_expression": "rate(15 minutes)",
"schedule_timezone": "UTC",
"enabled": true,
"last_run_at": "2025-10-15T14:15:00Z",
"last_run_id": "8EktrIgaVxn9LfxkIynagX",
"create_time": "2025-10-14T12:00:00Z",
"update_time": null
},
{
"name": "scheduled-runs/def456ghi789jklmabc123",
"id": "def456ghi789jklmabc123",
"display_name": "Nightly Regression Tests",
"run_template_id": "abc123def456ghi789jklm",
"schedule_expression": "cron(0 2 ? * * *)",
"schedule_timezone": "America/New_York",
"enabled": true,
"last_run_at": "2025-10-15T06:00:00Z",
"last_run_id": "9FluskHbWyo0MgyiJzobY",
"create_time": "2025-10-10T09:00:00Z",
"update_time": "2025-10-12T11:30:00Z"
}
],
"next_page_token": null,
"total_count": 2
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request body",
"details": [
{
"field": "display_name",
"description": "Field required"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Scheduled Runs
List scheduled runs
Retrieve a paginated list of scheduled runs with optional filtering.
GET
/
scheduled-runs
List scheduled runs
Authorizations
API key for authentication
Query Parameters
Maximum number of results per page
Required range:
1 <= x <= 100Opaque pagination token from previous response
Filter by enabled state (true = active schedules, false = paused)
Filter by run template ID
Pattern:
^[A-Za-z0-9]{22}$Was this page helpful?
⌘I